<template>
	<view>
		<view class="uni-padding-wrap uni-common-mt">
            <view class="uni-flex uni-column">
                <view class="flex-item flex-item-wrap">
					<view class="text-wrap" scroll-y="true">
						<text>{{location.locationName}}</text>
					</view>
					<view class="search-wrap">
						<search ref="searchs"></search>
					</view>
					<view class="tab-wrap">
						<glance 
							v-on:clickKeyword='clickKeyword' 
							:data='keyList'
							>
						</glance>
						<view class="demoList">
							<view class="view-wrap">
								<view class="header">
									<rich-text :nodes="hr"></rich-text>
									<text>周边热门景区</text>
									<rich-text :nodes="hr"></rich-text>
								</view>
								<uni-grid :options="options" 
									show-border="false"
									column-num="2">
								</uni-grid>
							</view>
							<view class="city-wrap">
								<view class="header">
									<rich-text :nodes="hr"></rich-text>
									<text>周边热门城市</text>
									<rich-text :nodes="hr"></rich-text>
								</view>
								<view class="btnBox">
									<uni-tag v-for="(item,index) in tags" :key="index" :text="item.text" class="tag"></uni-tag>
								</view>
							</view>
						</view>
					</view>
				</view>
            </view>
        </view>
		<uni-fab
			:pattern="pattern"
			:content="content"
			:horizontal="horizontal"
			:vertical="vertical"
			:direction="direction"
			@trigger="trigger">
		</uni-fab>
	</view>
</template>
<script>
	import setTabBar from '@/components/api-set-tabbar.vue';
	import search from "@/loadcomponents/jm-search/jm-search.vue";
	import glance  from "@/loadcomponents/jm-glance/jm-glance.vue";
	import uniGrid from "@/components/uni-grid/uni-grid.vue";
	import uniFab from '@/components/uni-fab.vue';
	import uniIcon from "@/components/uni-icon/uni-icon.vue";
	import uniTag from "@/components/uni-tag/uni-tag.vue";

	const tpl = {
		data0: {
			"datetime": "40分钟前",
			"article_type": 0,
			"title": "uni-app行业峰会频频亮相，开发者反响热烈!",
			"source": "DCloud",
			"comment_count": 639
		},
		data1: {
			"datetime": "一天前",
			"article_type": 1,
			"title": "DCloud完成B2轮融资，uni-app震撼发布!",
			"image_url": "https://img-cdn-qiniu.dcloud.net.cn/uniapp/images/shuijiao.jpg?imageView2/3/w/200/h/100/q/90",
			"source": "DCloud",
			"comment_count": 11395
		},
		data2: {
			"datetime": "一天前",
			"article_type": 2,
			"title": "中国技术界小奇迹：HBuilder开发者突破200万",
			"image_url": "https://img-cdn-qiniu.dcloud.net.cn/uniapp/images/muwu.jpg?imageView2/3/w/200/h/100/q/90",
			"source": "DCloud",
			"comment_count": 11395
		},
		data3: {
			"article_type": 3,
			"image_list": [{
				"url": "https://img-cdn-qiniu.dcloud.net.cn/uniapp/images/cbd.jpg?imageView2/3/w/200/h/100/q/90",
				"width": 563,
				"height": 316
			}, {
				"url": "https://img-cdn-qiniu.dcloud.net.cn/uniapp/images/muwu.jpg?imageView2/3/w/200/h/100/q/90",
				"width": 641,
				"height": 360
			}, {
				"url": "https://img-cdn-qiniu.dcloud.net.cn/uniapp/images/shuijiao.jpg?imageView2/3/w/200/h/100/q/90",
				"width": 640,
				"height": 360
			}],
			"datetime": "5分钟前",
			"title": "uni-app 支持使用 npm 安装第三方包，生态更趋丰富",
			"source": "DCloud",
			"comment_count": 11
		},
		data4: {
			"datetime": "2小时前",
			"article_type": 4,
			"title": "uni-app 支持原生小程序自定义组件，更开放、更自由",
			"image_url": "https://img-cdn-qiniu.dcloud.net.cn/uniapp/images/cbd.jpg?imageView2/3/w/200/h/100/q/90",
			"source": "DCloud",
			"comment_count": 69
		}
	};
	export default {
		components: {
			setTabBar,
			search,
			glance,
			uniGrid,
			uniFab,
			uniIcon,
			uniTag
		},
		data() {
			return{
				imageList:[
						{
						mode: 'scaleToFill',
						text: 'aspectFill：保持纵横比缩放图片，只保证图片的短边能完全显示出来',
						src: 'https://img-cdn-qiniu.dcloud.net.cn/uniapp/images/shuijiao.jpg'
					},
				],
				location:{
					locationName:'',
					locationAddress:'',
					locationLatitude:'',
					locationLongitude:''
				},
				keyList: [{
                        title: '热门',
                        id: '1'
                    },
                    {
                        title: '周边',
                        id: '2'
                    },
                    {
                        title: '香港',
                        id: '3'
                    },
                    {
                        title: '澳门',
                        id: '4'
                    },
                    {
                        title: '云南',
                        id: '5'
					},
					{
                        title: '云南',
                        id: '6'
                    }
				],
				list: [],
				options:[
					{image:'https://img-cdn-qiniu.dcloud.net.cn/img/shu.png',text:'圣诞树'},
					{image:'https://img-cdn-qiniu.dcloud.net.cn/img/lindang.png',text:'铃铛'},
					{image:'https://img-cdn-qiniu.dcloud.net.cn/img/laoren.png',text:'圣诞老人'},
					{image:'https://img-cdn-qiniu.dcloud.net.cn/img/liwu.png',text:'礼物'},
				],
				hr:[{
					name: 'hr',
					attrs: {
						class: 'hr-class',
						style: 'line-height: 60rpx; text-align:left;'
					},
					children: [{
						type: 'text',
					}]
				}],
				horizontal: 'left',
				vertical: 'bottom',
				direction: 'horizontal',
				pattern: {
					color: '#7A7E83',
					backgroundColor: '#fff',
					selectedColor: '#007AFF',
					buttonColor:"#007AFF"
				},
				content: [
					{
						iconPath: '../../../static/c1.png',
						selectedIconPath: '../../../static/c1.png',
						text: '附近位置',
						active: false
					},
				],
				tags:[
					{
						text:"山西"
					},
					{
						text:"山西"
					},
					{
						text:"山西"
					},
					{
						text:"山西"
					},
					{
						text:"更多"
					},
					{
						text:"山西"
					},
					{
						text:"山西"
					},
					{
						text:"山西"
					},
				],
				searchKey:'',
			}
		},
		onLoad() {
		},
		mounted(){
			// this.searchKey=this.$refs.searchs.searchNow();
		},
		created(){
			// this.getLocation();
		},
		methods: {
			getLocation(){
				var _this=this;
				uni.chooseLocation({
					success: function (res) {
						// console.log('位置名称：' + res.name);
						// console.log('详细地址：' + res.address);
						// console.log('纬度：' + res.latitude);
						// console.log('经度：' + res.longitude);
						_this.location.locationName=res.name;
						_this.location.locationAddress=res.address;
						_this.location.locationLatitude=res.latitude;
						_this.location.locationLongitude=res.longitude;
					}
				});
				console.log(this.location.locationName);
			},
			imageError(e) {
				console.error('image发生error事件，携带值为' + e.detail.errMsg)
			},
			clickKeyword(e) {
				//点击提示
                // uni.showToast({
                //     title: '点击选项卡，id为：' + e.key + ',内容为：' + e.name,
                //     icon: 'none',
                //     duration: 2000
                // });
                this.list = [];
                var arr = [e.name, e.name, e.name, e.name, e.name, e.name, e.name, e.name];
                this.list = arr;
			},
			trigger(e) {
            	console.log(e);
				this.content[e.index].active = !e.item.active;
				uni.showModal({
					title: '提示',
					content: `您${this.content[e.index].active?'选中了':'取消了'}${e.item.text}`,
					success: function(res) {
						if (res.confirm) {
							console.log('用户点击确定');
						} else if (res.cancel) {
							console.log('用户点击取消');
						}
					}
				});
			}
		}
	}
</script>

<style lang="less">
	page {
		height: auto;
		min-height: 100%;
	}
	.uni-padding-wrap{
		width: 100%;
		padding: 0 0;
	}
	.uni-common-mt{
		margin-top:0;
		height: 375rpx;
		.flex-item-wrap{
			position: relative;
			height: 375rpx;
			background: url(https://img-cdn-qiniu.dcloud.net.cn/uniapp/images/shuijiao.jpg) no-repeat;
			background-size: cover;
			.text-wrap{
				text-align: center;
				padding: 30rpx;
			}
			.search-wrap{
				position:absolute;
				top:0;
				left:0;
				right:0;
				bottom:0;
				margin:auto;
				height: 100rpx;
				.searchTopBox{
					
				}
			}
			.tab-wrap{
				position: absolute;
				top:295rpx;
				width: 100%;
				.keyWordBox{
					background-color:transparent;
					.keyBoxB{
						display:flex;
						width:100% !important;
						.keyBox{
							flex:1;
							border: none;
							.key{
								width:100%;
							}
						}
					}
				}
				.demoList {
					text-align: center;
					line-height: 100rpx;
					.header{
						padding: 30rpx;
						rich-text{
							display: inline-block;
							width: 30%;
						}
						text{
							padding:0 30rpx;	
						}
					}
					.view-wrap{
						
					}
					.city-wrap{
						.btnBox{
							display: block;
							.tag{
								margin-right: 30rpx;
								padding: 15rpx;
								.uni-tag {
									border-radius: 30rpx;
									margin-top:30rpx;
								}
							}
						}
					}
				}
			}
		}
	}
</style>
